| Region | Endpoint |
|---|---|
| Korea (Pangyo) region | https://kr1-rds-mariadb.api.nhncloudservice.com |
RDS for MariaDB uses User Access Key tokens for authentication and authorization when making API calls. The User Access Key token is a temporary, Bearer-type access token issued from a User Access Key. For more information on issuing and using User Access Key tokens, see User Access Key Token. The issued token must be included in the request header along with the Appkey.
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| X-TC-APP-KEY | Header | String | Y | Appkey of RDS for MariaDB or integrated Appkey for project |
| X-NHN-AUTHORIZATION | Header | String | Y | Bearer type token issued with the Public API |
In addition, the APIs you can call are limited based on the project permissions. The RDS for MariaDB ADMIN and RDS for MariaDB VIEWER roles are granted the default permissions below, and you can grant only the permissions you need from the Role Group Management menu in the project.
RDS for MariaDB ADMIN role is granted all permissions required to execute APIs.RDS for MariaDB VIEWER role is granted only the permissions to query information.If an API request fails to authenticate or is not authorized, the following error occurs.
| resultCode | resultMessage | Description |
|---|---|---|
| 80401 | Unauthorized | Failed to authenticate. |
| 80403 | Forbidden | Unauthorized. |
The API responds with '200 OK' to all API requests. For more information on the response results, see the header in the response body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
}
}
{
"header": {
"resultCode": -1,
"resultMessage": "FAIL",
"isSuccessful": false
}
}
| Name | Format | Description |
|---|---|---|
| resultCode | Number | Result code - Success: 0- Failure: Non-zero |
| resultMessage | String | Result message |
| isSuccessful | Boolean | Successful or not |
| DB engine version | Available for creation | Whether restoration from Object Storage is available | Authentication Plugin Support |
|---|---|---|---|
| MARIADB_V10330 | N | N | ED25519, NATIVE |
| MARIADB_V10611 | N | N | ED25519, NATIVE |
| MARIADB_V10612 | N | N | ED25519, NATIVE |
| MARIADB_V10616 | N | N | ED25519, NATIVE |
| MARIADB_V10622 | N | N | ED25519, NATIVE |
| MARIADB_V10625 | N | N | ED25519, NATIVE |
| MARIADB_V101107 | Y | Y | ED25519, NATIVE |
| MARIADB_V101108 | Y | Y | ED25519, NATIVE |
| MARIADB_V101113 | Y | Y | ED25519, NATIVE |
| MARIADB_V101116 | Y | Y | ED25519, NATIVE |
| MARIADB_V101118 | Y | Y | ED25519, NATIVE |
| MARIADB_V11407 | Y | Y | ED25519, NATIVE |
| MARIADB_V11410 | Y | Y | ED25519, NATIVE |
| MARIADB_V11412 | Y | Y | ED25519, NATIVE |
| MARIADB_V11806 | Y | Y | ED25519, NATIVE |
| MARIADB_V11808 | Y | Y | ED25519, NATIVE |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbVersion.List | List DB Engine Versions |
GET /v4.0/db-versions
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbVersions": [
{
"dbVersion": "MARIADB_V11808",
"dbVersionName": "Maria DB 11.8.8",
"restorableFromObs": true
}
]
}
| Name | Format | Description |
|---|---|---|
| dbVersions | Array | DB engine list |
| dbVersions.dbVersion | Enum | DB engine version |
| dbVersions.dbVersionName | String | DB engine version name |
| dbVersions.restorableFromObs | Boolean | Whether restoration from Object Storage is available |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Project.Get | List Project Members |
GET /v4.0/project/members
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"members": [
{
"memberId": "550e8400-e29b-41d4-a716-446655440000",
"memberName": "memberName-example",
"emailAddress": "user@example.com",
"phoneNumber": "010-1234-5678"
}
]
}
| Name | Format | Description |
|---|---|---|
| members | Array | Project member list |
| members.memberId | UUID | Project member identifier |
| members.memberName | String | Project member name |
| members.emailAddress | String | Project member email address |
| members.phoneNumber | String | Project member mobile |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Project.Get | List Regions |
GET /v4.0/project/regions
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"regions": [
{
"regionCode": "KR1",
"isEnabled": false
}
]
}
| Name | Format | Description |
|---|---|---|
| regions | Array | Region list |
| regions.regionCode | Enum | Region code - KR1: Korea (Pangyo) |
| regions.isEnabled | Boolean | Whether to enable a region |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbFlavor.List | List DB Instance Specifications |
GET /v4.0/db-flavors
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbFlavors": [
{
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbFlavorName": "dbFlavorName-example",
"ram": 1,
"vcpus": 1
}
]
}
| Name | Format | Description |
|---|---|---|
| dbFlavors | Array | List of DB instance specifications |
| dbFlavors.dbFlavorId | UUID | Identifier of DB instance specifications |
| dbFlavors.dbFlavorName | String | Name of DB instance specifications |
| dbFlavors.ram | Number | Memory size (MB) |
| dbFlavors.vcpus | Number | CPU cores |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Network.List | List subnets |
GET /v4.0/network/subnets
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"subnets": [
{
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"subnetName": "subnetName-example",
"subnetCidr": "192.168.0.0/24",
"usingGateway": false,
"availableIpCount": 1
}
]
}
| Name | Format | Description |
|---|---|---|
| subnets | Array | Subnet list |
| subnets.subnetId | UUID | Subnet identifier |
| subnets.subnetName | String | Name to identify subnets |
| subnets.subnetCidr | String | CIDR of subnet |
| subnets.usingGateway | Boolean | Whether to use gateway |
| subnets.availableIpCount | Number | Number of available IPs |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Storage.List | List Storage Types |
GET /v4.0/storage-types
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"storageTypes": [
"General SSD",
"General HDD"
]
}
| Name | Format | Description |
|---|---|---|
| storageTypes | Array | Storage type list |
| Status Name | Description |
|---|---|
PREPARING |
Task in preparation |
READY |
Task in ready |
RUNNING |
Task in progress |
COMPLETED |
Task completed |
REGISTERED |
Task registered |
WAIT_TO_REGISTER |
Task waiting to register |
INTERRUPTED |
Task being interrupted |
CANCELED |
Task canceled |
FAILED |
Task failed |
ERROR |
Error occurred while task in progress |
DELETED |
Task deleted |
FAIL_TO_READY |
Failed to get ready for task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Job.Get | List Task Details |
GET /v4.0/jobs/{jobId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| jobId | URL | UUID | Y | Task identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000",
"jobStatus": "DELETED",
"resourceRelations": [
{
"resourceType": "resourceType-example",
"resourceId": "resourceId-example"
}
],
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
| jobStatus | Enum | Current task status - DELETED- CANNOT_PROGRESS- FAILED- ERROR- CANCELED- INTERRUPTED- COMPLETED- COMPLETED_WITH_ERROR- RUNNING- PREPARING- READY- CREATED- FAIL_TO_READY- REGISTERED- FAIL_TO_REGISTER- WAIT_TO_REGISTER |
| resourceRelations | Array | Relevant resource list |
| resourceRelations.resourceType | String | Relevant resource type |
| resourceRelations.resourceId | String | Relevant resource identifier |
| createdYmdt | DateTime | Created at |
| updatedYmdt | DateTime | Modified date and time |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceGroup.List | List DB Instance Groups |
GET /v4.0/db-instance-groups
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbInstanceGroups": [
{
"dbInstanceGroupId": "550e8400-e29b-41d4-a716-446655440000",
"replicationType": "STANDALONE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbInstanceGroups | Array | DB instance groups |
| dbInstanceGroups.dbInstanceGroupId | UUID | DB instance group identifier |
| dbInstanceGroups.replicationType | Enum | DB instance group replication type - STANDALONE: High availability is not used- HIGH_AVAILABILITY: High availability is used |
| dbInstanceGroups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbInstanceGroups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceGroup.Get | List DB Instance Group Details |
GET /v4.0/db-instance-groups/{dbInstanceGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceGroupId | URL | UUID | Y | DB instance group identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbInstanceGroupId": "550e8400-e29b-41d4-a716-446655440000",
"replicationType": "STANDALONE",
"dbInstances": [
{
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceType": "MASTER",
"dbInstanceStatus": "AVAILABLE"
}
],
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| dbInstanceGroupId | UUID | DB instance group identifier |
| replicationType | Enum | DB instance group replication type - STANDALONE: High availability is not used- HIGH_AVAILABILITY: High availability is used |
| dbInstances | Array | DB instances belong to DB instance group |
| dbInstances.dbInstanceId | UUID | DB instance identifier |
| dbInstances.dbInstanceType | Enum | Role type of DB instance - MASTER: Primary- FAILED_MASTER: Failed Over Primary- CANDIDATE_MASTER: Standby- READ_ONLY_SLAVE: Read replica |
| dbInstances.dbInstanceStatus | Enum | DB instance current status - BEFORE_CREATE: Before creation (gray)- AVAILABLE: Available (green)- STORAGE_FULL: Insufficient capacity (red)- FAIL_TO_CREATE: Failed to create (red)- FAIL_TO_CONNECT: Failed to connect (red)- REPLICATION_STOP: Replication stopped (red)- REPLICATION_DELAY: Replication delayed (yellow)- FAILOVER: Failover completed (red)- SHUTDOWN: Stopped (gray)- DELETED: Deleted (gray) |
| createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Status | Description |
|---|---|
AVAILABLE |
DB instance is available |
BEFORE_CREATE |
Before DB instance is created |
STORAGE_FULL |
Insufficient DB instance storage |
FAIL_TO_CREATE |
Failed to create DB instance |
FAIL_TO_CONNECT |
Failed to connect DB instance |
REPLICATION_STOP |
Replication of DB instance is stopped |
FAILOVER |
High availability DB instance failed over |
SHUTDOWN |
DB instance is stopped |
DELETED |
DB instance is deleted |
| Status | Description |
|---|---|
APPLYING_PARAMETER_GROUP |
Parameter group is being applied |
BACKING_UP |
Backing up |
CANCELING |
Canceling |
CREATING |
Creating |
CREATING_SCHEMA |
Creating DB schema |
CREATING_USER |
Creating user |
DELETING |
Deleting |
DELETING_SCHEMA |
Deleting DB schema |
DELETING_USER |
Deleting user |
EXPORTING_BACKUP |
Exporting backup |
FAILING_OVER |
Under failover |
MIGRATING |
Under migration |
MODIFYING |
Under modification |
PREPARING |
In preparation |
PROMOTING |
Promoting |
REBUILDING |
Rebuilding |
REPAIRING |
Recovering |
REPLICATING |
Replicating |
RESTARTING |
Restarting |
RESTARTING_FORCIBLY |
Force restarting |
RESTORING |
Restoring |
STARTING |
Starting |
STOPPING |
Stopping |
SYNCING_SCHEMA |
Synchronizing DB schema |
SYNCING_USER |
Synchronizing user |
UPDATING_USER |
Modifying user |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.List | List DB instances |
GET /v4.0/db-instances
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbInstances": [
{
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceName": "dbInstanceName-example",
"description": "description-example",
"dbVersion": "MARIADB_V11808",
"dbPort": 13306,
"dbInstanceType": "MASTER",
"dbInstanceStatus": "AVAILABLE",
"progressStatus": "NONE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbInstances | Array | DB instances |
| dbInstances.dbInstanceId | UUID | DB instance identifier |
| dbInstances.dbInstanceGroupId | UUID | DB instance group identifier |
| dbInstances.dbInstanceName | String | Name to identify the primary DB instance |
| dbInstances.description | String | Additional information of DB instance |
| dbInstances.dbVersion | Enum | DB engine version |
| dbInstances.dbPort | Number | DB port |
| dbInstances.dbInstanceType | Enum | Role type of DB instance - MASTER: Primary- FAILED_MASTER: Failed Over Primary- CANDIDATE_MASTER: Standby- READ_ONLY_SLAVE: Read replica |
| dbInstances.dbInstanceStatus | Enum | DB instance current status - BEFORE_CREATE: Before creation (gray)- AVAILABLE: Available (green)- STORAGE_FULL: Insufficient capacity (red)- FAIL_TO_CREATE: Failed to create (red)- FAIL_TO_CONNECT: Failed to connect (red)- REPLICATION_STOP: Replication stopped (red)- REPLICATION_DELAY: Replication delayed (yellow)- FAILOVER: Failover completed (red)- SHUTDOWN: Stopped (gray)- DELETED: Deleted (gray) |
| dbInstances.progressStatus | Enum | DB instance current progress status |
| dbInstances.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbInstances.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Create | Create DB Instance |
POST /v4.0/db-instances
{
"dbInstanceName": "dbInstanceName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbVersion": "MARIADB_V11808",
"dbPort": 13306,
"dbUserName": "dbUserName",
"dbPassword": "dbPassword",
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useHighAvailability": false,
"pingInterval": 3,
"useDefaultNotification": false,
"useDeletionProtection": false,
"useSlowQueryAnalysis": true,
"authenticationPlugin": "NATIVE",
"tlsOption": "NONE",
"network": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"storage": {
"storageType": "General SSD",
"storageSize": 20,
"storageAutoscale": {
"useStorageAutoscale": false
}
},
"backup": {
"backupPeriod": 0,
"backupRetryCount": 0,
"ftwrlWaitTimeout": 1800,
"replicationRegion": "KR1",
"useBackupLock": true,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | Y | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | Y | Identifier of DB instance specifications |
| dbVersion | Enum | Y | DB engine version |
| dbPort | Number | Y | DB port - Minimum value: 3306, Maximum value: 43306 |
| dbUserName | String | Y | DB user account name - Minimum length: 1- Maximum length: 32 |
| dbPassword | String | Y | DB user account password - Minimum length: 4- Maximum length: 256 |
| parameterGroupId | UUID | Y | Parameter group identifier |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useHighAvailability | Boolean | N | Whether to use high availability - Default: false |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Default: 3- Minimum value: 1- Maximum value: 600 |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
| useSlowQueryAnalysis | Boolean | N | Whether to analyze slow queries - Default: true |
| authenticationPlugin | Enum | N | Authentication Plugin - NATIVE: mysql_native_password authentication- ED25519: ed25519 authentication (MariaDB only) |
| tlsOption | Enum | N | TLS option - Default: NONE- NONE: TLS is not used- SSL: SSL authentication- X509: X509 certificate authentication |
| network | Object | Y | Network information objects |
| network.subnetId | UUID | Y | Subnet identifier |
| network.usePublicAccess | Boolean | N | External access is available or not - Default: false |
| network.availabilityZone | Enum | Y | Availability zone where DB instance will be created |
| storage | Object | Y | Storage information object |
| storage.storageType | Enum | Y | Data storage type |
| storage.storageSize | Number | Y | Block Storage Size (GB) - Minimum value: 20 |
| storage.storageAutoscale | Object | N | Block Storage Auto Scaling Objects |
| storage.storageAutoscale.useStorageAutoscale | Boolean | N | Whether to enable storage auto scaling - Default: false |
| backup | Object | Y | Backup information objects |
| backup.backupPeriod | Number | Y | Backup retention period - Minimum value: 0- Maximum value: 730 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock - Default: true |
| backup.backupSchedules | Array | Y | Backup schedule list |
| backup.backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceCandidateName | String | Y | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| Name | Format | Required | Description |
|---|---|---|---|
| storage.storageAutoscale.threshold | Number | Y | Auto scale out conditions (%) - Minimum value: 50- Maximum value: 95 |
| storage.storageAutoscale.maxStorageSize | Number | Y | Auto scaling maximum size (GB) - Maximum value: 4096 |
| storage.storageAutoscale.cooldownTime | Number | Y | Auto scaling cooldown time (minutes) - Minimum value: 10- Maximum value: 1440 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.RestoreFromObs | Restore from Object Storage |
POST /v4.0/db-instances/restore-from-obs
{
"dbInstanceName": "dbInstanceName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbPort": 13306,
"dbVersion": "MARIADB_V11808",
"useHighAvailability": false,
"pingInterval": 3,
"storage": {
"storageType": "General SSD",
"storageSize": 20,
"storageAutoscale": {
"useStorageAutoscale": false
}
},
"network": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"backup": {
"backupPeriod": 0,
"ftwrlWaitTimeout": 1800,
"backupRetryCount": 0,
"replicationRegion": "KR1",
"useBackupLock": true,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
},
"restore": {
"tenantId": "0123456789abcdef0123456789abcdef",
"username": "username-example",
"password": "password-example",
"targetContainer": "targetContainer-example",
"objectPath": "objectPath-example"
},
"useDefaultNotification": false,
"useSlowQueryAnalysis": true,
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useDeletionProtection": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | Y | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | Y | Identifier of DB instance specifications |
| dbPort | Number | Y | DB port |
| dbVersion | Enum | Y | DB engine version |
| useHighAvailability | Boolean | N | Whether to use high availability - Default: false |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Minimum value: 1- Maximum value: 600 |
| storage | Object | Y | Storage information object |
| storage.storageType | Enum | Y | Storage type |
| storage.storageSize | Number | Y | Block Storage Size (GB) - Minimum value: 20 |
| storage.storageAutoscale | Object | N | Block Storage Auto Scaling Objects |
| storage.storageAutoscale.useStorageAutoscale | Boolean | N | Whether to enable storage auto scaling - Default: false |
| network | Object | Y | Network information objects |
| network.subnetId | UUID | Y | Subnet identifier |
| network.usePublicAccess | Boolean | N | External access is available or not - Default: false |
| network.availabilityZone | Enum | Y | Availability zone where DB instance will be created |
| backup | Object | Y | Backup information objects |
| backup.backupPeriod | Number | Y | Backup retention period - Minimum value: 0- Maximum value: 730 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock - Default: true |
| backup.backupSchedules | Array | Y | Backup schedule list |
| backup.backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
| restore | Object | Y | Restoration information object |
| restore.tenantId | String | Y | Tenant ID of the Object Storage where the backup is saved |
| restore.username | String | Y | NHN Cloud member or IAM member ID |
| restore.password | String | Y | API password of the Object Storage where the backup is saved |
| restore.targetContainer | String | Y | Container of the Object Storage where the backup is saved |
| restore.objectPath | String | Y | Backup path stored in container |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| useSlowQueryAnalysis | Boolean | N | Whether to analyze slow queries - Default: true |
| parameterGroupId | UUID | Y | Parameter group identifier |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceCandidateName | String | Y | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| Name | Format | Required | Description |
|---|---|---|---|
| storage.storageAutoscale.threshold | Number | Y | Auto scale out conditions (%) - Minimum value: 50- Maximum value: 95 |
| storage.storageAutoscale.maxStorageSize | Number | Y | Auto scaling maximum size (GB) - Maximum value: 4096 |
| storage.storageAutoscale.cooldownTime | Number | Y | Auto scaling cooldown time (minutes) - Minimum value: 10- Maximum value: 1440 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Delete | Delete DB instance |
DELETE /v4.0/db-instances/{dbInstanceId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"deleteAutoBackup": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| deleteAutoBackup | Boolean | N | Whether to delete automatic backups - Default: false |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Get | List DB Instance Details |
GET /v4.0/db-instances/{dbInstanceId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceName": "dbInstanceName-example",
"description": "description-example",
"dbVersion": "MARIADB_V11808",
"dbPort": 13306,
"dbInstanceType": "MASTER",
"dbInstanceStatus": "AVAILABLE",
"progressStatus": "NONE",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [
"550e8400-e29b-41d4-a716-446655440000"
],
"notificationGroupIds": [
"550e8400-e29b-41d4-a716-446655440000"
],
"useDeletionProtection": false,
"useSlowQueryAnalysis": false,
"supportAuthenticationPlugin": false,
"needToApplyParameterGroup": false,
"needMigration": false,
"supportDbVersionUpgrade": false,
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| dbInstanceId | UUID | DB instance identifier |
| dbInstanceGroupId | UUID | DB instance group identifier |
| dbInstanceName | String | Name to identify the primary DB instance |
| description | String | Additional information of DB instance |
| dbVersion | Enum | DB engine version |
| dbPort | Number | DB port |
| dbInstanceType | Enum | Role type of DB instance - MASTER: Primary- FAILED_MASTER: Failed Over Primary- CANDIDATE_MASTER: Standby- READ_ONLY_SLAVE: Read replica |
| dbInstanceStatus | Enum | DB instance current status - BEFORE_CREATE: Before creation (gray)- AVAILABLE: Available (green)- STORAGE_FULL: Insufficient capacity (red)- FAIL_TO_CREATE: Failed to create (red)- FAIL_TO_CONNECT: Failed to connect (red)- REPLICATION_STOP: Replication stopped (red)- REPLICATION_DELAY: Replication delayed (yellow)- FAILOVER: Failover completed (red)- SHUTDOWN: Stopped (gray)- DELETED: Deleted (gray) |
| progressStatus | Enum | DB instance current progress status |
| dbFlavorId | UUID | Identifier of DB instance specifications |
| parameterGroupId | UUID | Parameter group identifier applied to DB instance |
| dbSecurityGroupIds | Array | DB security group identifiers applied to DB instance |
| notificationGroupIds | Array | Notification group identifiers applied to DB instance |
| useDeletionProtection | Boolean | Whether to protect DB instance against deletion |
| useSlowQueryAnalysis | Boolean | Whether to analyze slow queries |
| supportAuthenticationPlugin | Boolean | Whether to support authentication plugin |
| needToApplyParameterGroup | Boolean | Need to apply the latest parameter group |
| needMigration | Boolean | Need to migrate |
| supportDbVersionUpgrade | Boolean | Whether to support DB version upgrade |
| createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Modify | Modify DB Instance |
PUT /v4.0/db-instances/{dbInstanceId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbInstanceName": "dbInstanceName",
"dbInstanceCandidateName": "dbInstanceCandidateName",
"description": "description-example",
"dbPort": 13306,
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbVersion": "MARIADB_V11808",
"useSlowQueryAnalysis": false,
"useDummy": false,
"dbSecurityGroupIds": [],
"executeBackup": false,
"useOnlineFailover": false,
"waitReplicationDelay": false,
"useReadOnly": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | N | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| dbInstanceCandidateName | String | N | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbPort | Number | N | DB port - Minimum value: 3306, Maximum value: 43306 |
| dbFlavorId | UUID | N | Identifier of DB instance specifications |
| parameterGroupId | UUID | N | Parameter group identifier |
| dbVersion | Enum | N | DB engine version |
| useSlowQueryAnalysis | Boolean | N | Whether to analyze slow queries |
| useDummy | Boolean | N | Whether to use dummies when upgrading the DB version of a single DB instance - Default: false |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| executeBackup | Boolean | N | Whether to perform a backup at the current point in time - Default: false |
| useOnlineFailover | Boolean | N | Whether to restart using failover - Default: false |
| waitReplicationDelay | Boolean | N | Wait for replication delay to be resolved - Default: false |
| useReadOnly | Boolean | N | Block write load - Default: false |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Get | View Backup Information |
GET /v4.0/db-instances/{dbInstanceId}/backup-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"backupPeriod": 1,
"ftwrlWaitTimeout": 1,
"backupRetryCount": 1,
"replicationRegion": "KR1",
"useBackupLock": false,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
| Name | Format | Description |
|---|---|---|
| backupPeriod | Number | Backup retention period |
| ftwrlWaitTimeout | Number | Query latency (sec) |
| backupRetryCount | Number | Number of backup retries |
| replicationRegion | Enum | Backup replication region - KR1: Korea (Pangyo) |
| useBackupLock | Boolean | Whether to use table lock |
| backupSchedules | Array | Backup schedule list |
| backupSchedules.backupWndBgnTime | Time | Backup start time |
| backupSchedules.backupWndDuration | Enum | Backup window - HALF_AN_HOUR- ONE_HOUR- ONE_HOUR_AND_HALF- TWO_HOURS- TWO_HOURS_AND_HALF- THREE_HOURS |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Modify | Modify Backup Information |
PUT /v4.0/db-instances/{dbInstanceId}/backup-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"backupPeriod": 0,
"ftwrlWaitTimeout": 0,
"backupRetryCount": 0,
"replicationRegion": "KR1",
"useBackupLock": false,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
| Name | Format | Required | Description |
|---|---|---|---|
| backupPeriod | Number | N | Backup retention period - Minimum value: 0- Maximum value: 730 |
| ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| useBackupLock | Boolean | N | Whether to use table lock |
| backupSchedules | Array | N | Backup schedule list |
| backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceBinLog.List | View BinLog Lists |
GET /v4.0/db-instances/{dbInstanceId}/binlogs
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| deletable | Query | Boolean | N | Whether to query only deletable BinLogs (true: excluding the last BinLog, false: all) - Default: false |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"binLogs": [
{
"binLogFileName": "binLogFileName-example",
"binLogFileSize": 1,
"createdYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| binLogs | Array | BinLog file list |
| binLogs.binLogFileName | String | BinLog file name |
| binLogs.binLogFileSize | Number | BinLog file size (Byte) |
| binLogs.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceBinLog.Purge | Delete BinLog |
POST /v4.0/db-instances/{dbInstanceId}/binlogs/purge
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"lastBinLogFileName": "mysql-bin.000010"
}
| Name | Format | Required | Description |
|---|---|---|---|
| lastBinLogFileName | String | Y | Name of the last BinLog file to delete (files up to just before this file are deleted) |
This API does not return a response body.
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceCertificate.List | View certificate file lists |
GET /v4.0/db-instances/{dbInstanceId}/certificates
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"certificates": [
{
"fileName": "fileName-example",
"certificateType": "CA_FILE",
"fileSize": 1,
"createdYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| certificates | Array | Certificate file list |
| certificates.fileName | String | Certificate file name |
| certificates.certificateType | Enum | Certificate type - CA_FILE- CERT_FILE- KEY_FILE |
| certificates.fileSize | Number | Certificate file size (Byte) |
| certificates.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceCertificate.Export | Export a certificate file |
POST /v4.0/db-instances/{dbInstanceId}/certificates/upload
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"certificateTypes": [],
"tenantId": "0123456789abcdef0123456789abcdef",
"username": "username-example",
"password": "password-example",
"targetContainer": "targetContainer-example",
"objectPath": "objectPath-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| certificateTypes | Array | Y | List of certificate types to upload |
| tenantId | String | Y | Tenant ID of the Object Storage where the certificate file will be saved - Minimum length: 32- Maximum length: 32 |
| username | String | Y | NHN Cloud member or IAM account ID |
| password | String | Y | API password of the Object Storage where the certificate file will be saved |
| targetContainer | String | Y | Container of the Object Storage where the certificate file will be saved |
| objectPath | String | Y | Path of the certificate file to be saved in the container |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceSchema.List | List DB Schema |
GET /v4.0/db-instances/{dbInstanceId}/db-schemas
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbSchemas": [
{
"dbSchemaId": "550e8400-e29b-41d4-a716-446655440000",
"dbSchemaName": "dbSchemaName-example",
"dbSchemaStatus": "STABLE",
"createdYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbSchemas | Array | DB schema list |
| dbSchemas.dbSchemaId | UUID | DB schema identifier |
| dbSchemas.dbSchemaName | String | DB schema name |
| dbSchemas.dbSchemaStatus | Enum | DB schema current status - STABLE- CREATING- SYNCING- DELETING- DELETED |
| dbSchemas.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceSchema.Create | Create DB Schema |
POST /v4.0/db-instances/{dbInstanceId}/db-schemas
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbSchemaName": "dbSchemaName-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbSchemaName | String | Y | DB schema name - Maximum length: 64- Must start with a letter, allows letters/numbers/_, 1 to 64 characters, MySQL reserved words are not allowed |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceSchema.Delete | Delete DB Schema |
DELETE /v4.0/db-instances/{dbInstanceId}/db-schemas/{dbSchemaId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| dbSchemaId | URL | UUID | Y | DB schema identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceUser.List | List DB Users |
GET /v4.0/db-instances/{dbInstanceId}/db-users
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbUsers": [
{
"dbUserId": "550e8400-e29b-41d4-a716-446655440000",
"dbUserName": "dbUserName-example",
"host": "192.168.0.1",
"authorityType": "CUSTOM",
"dbUserStatus": "STABLE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00",
"authenticationPlugin": "NATIVE",
"tlsOption": "NONE"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbUsers | Array | DB users |
| dbUsers.dbUserId | UUID | DB user identifier |
| dbUsers.dbUserName | String | DB user account name |
| dbUsers.host | String | DB user account host name |
| dbUsers.authorityType | Enum | DB user permission type - CUSTOM: Custom permission- READ: Read permission- CRUD: CRUD permission- DDL: DDL permission- ALL: All permissions |
| dbUsers.dbUserStatus | Enum | DB user current status - STABLE- CREATING- UPDATING- SYNCING- DELETING- DELETED |
| dbUsers.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbUsers.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbUsers.authenticationPlugin | Enum | User authentication plugin - NATIVE: mysql_native_password authentication- ED25519: ed25519 authentication (MariaDB only) |
| dbUsers.tlsOption | Enum | Certificate option - NONE: TLS is not used- SSL: SSL authentication- X509: X509 certificate authentication |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceUser.Create | Create DB User |
POST /v4.0/db-instances/{dbInstanceId}/db-users
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbUserName": "dbUserName",
"dbPassword": "dbPassword",
"host": "192.168.0.1",
"authorityType": "CUSTOM",
"authenticationPlugin": "NATIVE",
"tlsOption": "NONE"
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbUserName | String | Y | DB user account name - Minimum length: 1- Maximum length: 32 |
| dbPassword | String | Y | DB user account password - Minimum length: 4- Maximum length: 256 |
| host | String | Y | DB user account host name - Maximum length: 45 |
| authorityType | Enum | Y | DB user permission type - CUSTOM: Custom permission- READ: Read permission- CRUD: CRUD permission- DDL: DDL permission- ALL: All permissions |
| authenticationPlugin | Enum | N | User authentication plugin - NATIVE: mysql_native_password authentication- ED25519: ed25519 authentication (MariaDB only) |
| tlsOption | Enum | N | Certificate option - Default: NONE- NONE: TLS is not used- SSL: SSL authentication- X509: X509 certificate authentication |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceUser.Delete | Delete DB User |
DELETE /v4.0/db-instances/{dbInstanceId}/db-users/{dbUserId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| dbUserId | URL | UUID | Y | DB user identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceUser.Modify | Modify DB User |
PUT /v4.0/db-instances/{dbInstanceId}/db-users/{dbUserId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| dbUserId | URL | UUID | Y | DB user identifier |
{
"dbPassword": "dbPassword",
"authorityType": "CUSTOM",
"authenticationPlugin": "NATIVE",
"tlsOption": "NONE"
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbPassword | String | N | DB user account password - Minimum length: 4- Maximum length: 256 |
| authorityType | Enum | N | DB user permission type - CUSTOM: Custom permission- READ: Read permission- CRUD: CRUD permission- DDL: DDL permission- ALL: All permissions |
| authenticationPlugin | Enum | N | User authentication plugin - NATIVE: mysql_native_password authentication- ED25519: ed25519 authentication (MariaDB only) |
| tlsOption | Enum | N | Certificate option - NONE: TLS is not used- SSL: SSL authentication- X509: X509 certificate authentication |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Modify | Change DB Instance Deletion Protection Settings |
PUT /v4.0/db-instances/{dbInstanceId}/deletion-protection
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"useDeletionProtection": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| useDeletionProtection | Boolean | Y | Whether to protect against deletion |
This API does not return a response body.
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.ForceRestart | Force Restart DB instance |
POST /v4.0/db-instances/{dbInstanceId}/force-restart
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
This API does not return a response body.
| Status | Description |
|---|---|
CREATED |
High availability has been created |
STABLE |
High availability is operating normally |
PAUSING |
High availability is being paused |
PAUSED |
High availability has been paused |
PAUSED_DUE_TO_TASK |
High availability has been paused due to a task |
PAUSED_DUE_TO_STOP |
When high availability is paused because the DB instance is stopped |
DISABLE_MASTER_IN_REPLICATION |
When high availability is suspended due to detection of abnormal replication on the primary |
DISABLE_MHA_PROCESS |
The high availability process has been stopped |
DISABLE_REPLICATION_STOP |
High availability has been disabled due to replication stoppage |
DISABLE_REPLICATION_DELAY |
High availability has been disabled due to replication delay |
MASTER_FAILURE_DETECTION |
When a primary failure is detected |
FAILOVER_STARTED |
Failover has started |
FAILOVER_FAILED |
Failover has failed |
FAILOVER_COMPLETED |
Failover has been completed |
DELETED |
High availability has been deleted |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Get | View High Availability Information |
GET /v4.0/db-instances/{dbInstanceId}/high-availability
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"useHighAvailability": false,
"haStatus": "CREATED",
"pingInterval": 1,
"pingType": "CONNECTION"
}
| Name | Format | Description |
|---|---|---|
| useHighAvailability | Boolean | Whether to use high availability - Default: false |
| haStatus | Enum | High availability status - CREATED: Created- STABLE: Normal- PAUSING: Pausing- DISABLE: Stopped- DISABLE_MASTER_IN_REPLICATION: High availability suspended due to detection of abnormal replication on the primary- DISABLE_MHA_PROCESS: High availability process suspended- DISABLE_REPLICATION_STOP: High availability suspended due to replication stop- DISABLE_REPLICATION_DELAY: High availability suspended due to replication delay- FAILOVER_STARTED: Failover started- FAILOVER_FAILED: Failover failed- FAILOVER_COMPLETED: Failover completed- DELETED: Deleted- PAUSED: Paused- PAUSED_DUE_TO_TASK: Paused due to a task- PAUSED_DUE_TO_STOP: Paused due to the DB instance being stopped- MASTER_FAILURE_DETECTION: Primary failure detected |
| pingInterval | Number | Ping interval (seconds) |
| pingType | Enum | Ping method - CONNECTION: CONNECTION method- INSERT: INSERT method- SELECT: SELECT method |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:HighAvailability.Modify | Modify high availability |
PUT /v4.0/db-instances/{dbInstanceId}/high-availability
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"useHighAvailability": false,
"pingInterval": 1
}
| Name | Format | Required | Description |
|---|---|---|---|
| useHighAvailability | Boolean | Y | Whether to use high availability |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Minimum value: 1- Maximum value: 600 |
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceCandidateName | String | Y | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:HighAvailability.Pause | Pause high availability |
POST /v4.0/db-instances/{dbInstanceId}/high-availability/pause
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:HighAvailability.Repair | Recover high availability |
POST /v4.0/db-instances/{dbInstanceId}/high-availability/repair
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:HighAvailability.Resume | Restart high availability |
POST /v4.0/db-instances/{dbInstanceId}/high-availability/resume
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:HighAvailability.Split | Separate high availability |
POST /v4.0/db-instances/{dbInstanceId}/high-availability/split
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceLog.List | List Log Files |
GET /v4.0/db-instances/{dbInstanceId}/log-files
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| logFileTypes | Query | Array | N | Log file type list |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"logFiles": [
{
"logFileName": "logFileName-example",
"logFileType": "ERROR",
"logFileSize": 1,
"createdYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| logFiles | Array | Log File list |
| logFiles.logFileName | String | Log File name |
| logFiles.logFileType | Enum | Log file type - ERROR- BINLOG- GENERAL- SLOW_QUERY- AUDIT- BACKUP |
| logFiles.logFileSize | Number | Log File size(Byte) |
| logFiles.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceLog.Export | Export Log File |
POST /v4.0/db-instances/{dbInstanceId}/log-files/export
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"logFileNames": [],
"tenantId": "0123456789abcdef0123456789abcdef",
"username": "username-example",
"password": "password-example",
"targetContainer": "targetContainer-example",
"objectPath": "objectPath-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| logFileNames | Array | Y | Log File name list |
| tenantId | String | Y | Tenant ID of the Object Storage where the log file will be saved - Minimum length: 32- Maximum length: 32 |
| username | String | Y | NHN Cloud member or IAM account ID |
| password | String | Y | API password of the Object Storage where the log file will be saved |
| targetContainer | String | Y | Container of the Object Storage where the log file will be saved |
| objectPath | String | Y | Log file path to be stored in container |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstanceLog.Get | View Log File Contents |
GET /v4.0/db-instances/{dbInstanceId}/log-files/{logFileName}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| logFileName | URL | UUID | Y | Log File name |
| logFileType | Query | Enum | Y | Log file type - ERROR- BINLOG- GENERAL- SLOW_QUERY- AUDIT- BACKUP |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"content": "content-example"
}
| Name | Format | Description |
|---|---|---|
| content | String | Log file contents (up to 65533 bytes) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Maintenance.List | List DB Instance Maintenances |
GET /v4.0/db-instances/{dbInstanceId}/maintenances
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| type | Query | String | N | |
| statuses | Query | String | N | |
| category | Query | String | N |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"totalCounts": 1,
"maintenances": [
{
"maintenanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"category": "USER",
"description": "description-example",
"type": "UPDATE_DB_INSTANCE",
"payload": {
},
"required": false,
"deadlineYmdt": "2023-12-31T15:00:00+09:00",
"status": "PENDING",
"executionType": "SCHEDULED",
"addedYmdt": "2023-12-31T15:00:00+09:00",
"executionStartedYmdt": "2023-12-31T15:00:00+09:00",
"executionCompletedYmdt": "2023-12-31T15:00:00+09:00",
"haPairSynced": false
}
]
}
| Name | Format | Description |
|---|---|---|
| totalCounts | Number | Number of maintenance items |
| maintenances | Array | Maintenance list |
| maintenances.maintenanceId | UUID | Maintenance ID |
| maintenances.dbInstanceId | UUID | DB instance ID |
| maintenances.category | Enum | Maintenance category - USER: User maintenance category- PROVIDER: Provider maintenance category- AUTO: Automatic maintenance category |
| maintenances.description | String | Maintenance description |
| maintenances.type | Enum | Maintenance type - UPDATE_DB_INSTANCE: Modify DB instance (change specifications, change port, change parameter group)- UPGRADE_ENGINE_VERSION: Upgrade engine version- APPLY_CHANGE_PARAMETER: Change parameters of the parameter group- UPGRADE_OS: Upgrade OS version- PATCH_SECURITY: Security update- MIGRATION: Migration for hypervisor maintenance- CLEANUP_STORAGE: Storage cleanup |
| maintenances.payload | Object | Payload according to the maintenance type |
| maintenances.required | Boolean | Whether maintenance is mandatory |
| maintenances.deadlineYmdt | DateTime | Maintenance forced application date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| maintenances.status | Enum | Maintenance status - PENDING: Pending- READY: Ready- RUNNING: Running- COMPLETED: Completed- FAILED: Failed- EXCLUDED: Excluded- DELETED: Deleted- SUSPENDED: Suspended- UNKNOWN |
| maintenances.executionType | Enum | Maintenance execution type - SCHEDULED: Scheduled execution (automatic execution during the maintenance window)- MANUAL: Manual execution (immediate execution)- FORCED: Forced execution (automatic execution after the deadline is exceeded) |
| maintenances.addedYmdt | DateTime | Maintenance schedule registered date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| maintenances.executionStartedYmdt | DateTime | Maintenance start date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| maintenances.executionCompletedYmdt | DateTime | Maintenance end date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| maintenances.haPairSynced | Boolean | Whether the HA pair is synchronized |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Maintenance.Execute | Execute DB Instance Maintenance Now |
POST /v4.0/db-instances/{dbInstanceId}/maintenances/execute-now
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"configId": "configId-example",
"category": "USER",
"description": "description-example",
"type": "UPDATE_DB_INSTANCE",
"payload": "payload-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| configId | String | Y | Setting ID |
| category | Enum | Y | Maintenance category - USER: User maintenance category- PROVIDER: Provider maintenance category- AUTO: Automatic maintenance category |
| description | String | N | Maintenance description |
| type | Enum | Y | Maintenance type - UPDATE_DB_INSTANCE: Modify DB instance (change specifications, change port, change parameter group)- UPGRADE_ENGINE_VERSION: Upgrade engine version- APPLY_CHANGE_PARAMETER: Change parameters of the parameter group- UPGRADE_OS: Upgrade OS version- PATCH_SECURITY: Security update- MIGRATION: Migration for hypervisor maintenance- CLEANUP_STORAGE: Storage cleanup |
| payload | String | Y | Payload according to the maintenance type |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Maintenance.Update | Schedule DB Instance Maintenance |
POST /v4.0/db-instances/{dbInstanceId}/maintenances/schedule
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"configId": "configId-example",
"category": "USER",
"description": "description-example",
"type": "UPDATE_DB_INSTANCE",
"payload": "payload-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| configId | String | Y | Setting ID |
| category | Enum | Y | Maintenance category - USER: User maintenance category- PROVIDER: Provider maintenance category- AUTO: Automatic maintenance category |
| description | String | N | Maintenance description |
| type | Enum | Y | Maintenance type - UPDATE_DB_INSTANCE: Modify DB instance (change specifications, change port, change parameter group)- UPGRADE_ENGINE_VERSION: Upgrade engine version- APPLY_CHANGE_PARAMETER: Change parameters of the parameter group- UPGRADE_OS: Upgrade OS version- PATCH_SECURITY: Security update- MIGRATION: Migration for hypervisor maintenance- CLEANUP_STORAGE: Storage cleanup |
| payload | String | Y | Payload according to the maintenance type |
This API does not return a response body.
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Maintenance.Delete | Delete DB Instance Maintenance |
DELETE /v4.0/db-instances/{dbInstanceId}/maintenances/{maintenanceId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| maintenanceId | URL | UUID | Y | Maintenance ID |
This API does not require a request body.
This API does not return a response body.
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Get | List Network Information |
GET /v4.0/db-instances/{dbInstanceId}/network-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"availabilityZone": "kr-pub-a",
"subnet": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"subnetName": "subnetName-example",
"subnetCidr": "192.168.0.0/24"
},
"endPoints": [
{
"domain": "domain-example",
"ipAddress": "192.168.0.1",
"endPointType": "https://example.com"
}
]
}
| Name | Format | Description |
|---|---|---|
| availabilityZone | String | Availability zone where DB instance will be created |
| subnet | Object | Subnet object |
| subnet.subnetId | UUID | Subnet identifier |
| subnet.subnetName | String | Name to identify subnets |
| subnet.subnetCidr | String | CIDR of subnet |
| endPoints | Array | List of access information |
| endPoints.domain | String | Domain |
| endPoints.ipAddress | String | IP address |
| endPoints.endPointType | String | Connection information type |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Modify | Modify Network Information |
PUT /v4.0/db-instances/{dbInstanceId}/network-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"usePublicAccess": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| usePublicAccess | Boolean | Y | External access is available or not |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Promote | Promote DB Instance |
POST /v4.0/db-instances/{dbInstanceId}/promote
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Rebuild | Rebuild DB Instance |
POST /v4.0/db-instances/{dbInstanceId}/rebuild
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Replicate | Replicate DB Instance |
POST /v4.0/db-instances/{dbInstanceId}/replicate
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbInstanceName": "dbInstanceName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbPort": 13306,
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useDefaultNotification": false,
"useDeletionProtection": false,
"useSlowQueryAnalysis": true,
"network": {
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"storage": {
"storageType": "General SSD",
"storageSize": 20,
"storageAutoscale": {
"useStorageAutoscale": false
}
},
"backup": {
"backupPeriod": 0,
"backupRetryCount": 0,
"ftwrlWaitTimeout": 0,
"replicationRegion": "KR1",
"useBackupLock": false,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | Y | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | N | Identifier of DB instance specifications |
| dbPort | Number | N | DB port - Minimum value: 3306, Maximum value: 43306 |
| parameterGroupId | UUID | N | Parameter group identifier |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
| useSlowQueryAnalysis | Boolean | N | Whether to analyze slow queries - Default: true |
| network | Object | Y | Network information objects |
| network.usePublicAccess | Boolean | N | External access is available or not |
| network.availabilityZone | Enum | Y | Availability zone where DB instance will be created |
| storage | Object | N | Storage information object |
| storage.storageType | Enum | N | Data storage type |
| storage.storageSize | Number | N | Block Storage Size (GB) - Minimum value: 20 |
| storage.storageAutoscale | Object | N | Block Storage Auto Scaling Objects |
| storage.storageAutoscale.useStorageAutoscale | Boolean | N | Whether to enable storage auto scaling - Default: false |
| backup | Object | N | Backup information objects |
| backup.backupPeriod | Number | N | Backup retention period - Minimum value: 0- Maximum value: 730 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock |
| backup.backupSchedules | Array | N | Backup schedule list |
| backup.backupSchedules.backupWndBgnTime | Time | N | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | N | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
| Name | Format | Required | Description |
|---|---|---|---|
| storage.storageAutoscale.threshold | Number | Y | Auto scale out conditions (%) - Minimum value: 50- Maximum value: 95 |
| storage.storageAutoscale.maxStorageSize | Number | Y | Auto scaling maximum size (GB) - Maximum value: 4096 |
| storage.storageAutoscale.cooldownTime | Number | Y | Auto scaling cooldown time (minutes) - Minimum value: 10- Maximum value: 1440 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Restart | Restart DB Instance |
POST /v4.0/db-instances/{dbInstanceId}/restart
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"useOnlineFailover": false,
"executeBackup": false,
"waitReplicationDelay": false,
"useReadOnly": false,
"osRestart": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| useOnlineFailover | Boolean | N | Whether to restart using failover - Default: false |
| executeBackup | Boolean | N | Whether to perform a backup at the current point in time - Default: false |
| waitReplicationDelay | Boolean | N | Wait for replication delay to be resolved - Default: false |
| useReadOnly | Boolean | N | Block write load - Default: false |
| osRestart | Boolean | N | Whether to restart the OS - Default: false |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Get | View Restoration Information |
GET /v4.0/db-instances/{dbInstanceId}/restoration-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"oldestRestorableYmdt": "2023-12-31T15:00:00+09:00",
"latestRestorableYmdt": "2023-12-31T15:00:00+09:00",
"restorableBackups": [
{
"backup": {
"backupId": "550e8400-e29b-41d4-a716-446655440000",
"backupName": "backupName-example",
"backupStatus": "BACKING_UP",
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceName": "dbInstanceName-example",
"dbVersion": "MARIADB_V11808",
"backupType": "AUTO",
"backupSize": 1,
"useBackupLock": false,
"failoverCount": 1,
"binLogFileName": "binLogFileName-example",
"binLogPosition": 1,
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
},
"restorableBinLogs": []
}
]
}
| Name | Format | Description |
|---|---|---|
| oldestRestorableYmdt | DateTime | Earliest restorable time |
| latestRestorableYmdt | DateTime | Latest restorable time |
| restorableBackups | Array | List of restorable backups |
| restorableBackups.backup | Object | Backup information objects |
| restorableBackups.backup.backupId | UUID | Backup identifier |
| restorableBackups.backup.backupName | String | Backup name |
| restorableBackups.backup.backupStatus | Enum | Backup Status - BACKING_UP: Backup in progress- COMPLETED: Backup completed- DELETING: Backup being deleted- DELETED: Backup deleted- ERROR: Error occurred |
| restorableBackups.backup.dbInstanceId | UUID | Original DB instance identifier |
| restorableBackups.backup.dbInstanceName | String | Original DB instance name |
| restorableBackups.backup.dbVersion | Enum | DB engine version |
| restorableBackups.backup.backupType | Enum | Backup type - AUTO- MANUAL |
| restorableBackups.backup.backupSize | Number | Backup size |
| restorableBackups.backup.useBackupLock | Boolean | Whether to use table lock |
| restorableBackups.backup.failoverCount | Number | Number of failovers |
| restorableBackups.backup.binLogFileName | String | Binary log file name |
| restorableBackups.backup.binLogPosition | Number | Binary log file location |
| restorableBackups.backup.createdYmdt | DateTime | Backup created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| restorableBackups.backup.updatedYmdt | DateTime | Backup updated date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| restorableBackups.restorableBinLogs | Array | Binary log names that can be restored using the backup |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Get | View the Last Query to Be Restored |
GET /v4.0/db-instances/{dbInstanceId}/restoration-info/last-query
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| restoreType | Query | Enum | Y | Restoration type - TIMESTAMP: Point-in-time restoration using a time within the restorable period- BINLOG: Point-in-time restoration using a restorable binary log position |
TIMESTAMP| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| restoreYmdt | Query | DateTime | Y | DB instance restore date (YYYY-MM-DDThh:mm:ss.SSSTZD) |
BINLOG| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | Query | UUID | Y | Identifier of the backup to use for restoration |
| binLogFileName | Query | String | Y | Binary log name to use for restoration |
| binLogPosition | Query | String | Y | Binary log location to use for restoration |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"executedYmdt": "2023-12-31T15:00:00+09:00",
"lastQuery": "lastQuery-example"
}
| Name | Format | Description |
|---|---|---|
| executedYmdt | DateTime | Query executed date (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| lastQuery | String | Last executed query |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Restore | Restoration |
POST /v4.0/db-instances/{dbInstanceId}/restore
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbInstanceName": "dbInstanceName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbPort": 13306,
"useHighAvailability": false,
"pingInterval": 3,
"storage": {
"storageType": "General SSD",
"storageSize": 20,
"storageAutoscale": {
"useStorageAutoscale": false
}
},
"network": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"backup": {
"backupPeriod": 0,
"ftwrlWaitTimeout": 1800,
"backupRetryCount": 0,
"replicationRegion": "KR1",
"useBackupLock": true,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
},
"restore": {
"restoreType": "TIMESTAMP"
},
"useDefaultNotification": false,
"useSlowQueryAnalysis": true,
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useDeletionProtection": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | Y | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | N | Identifier of DB instance specifications. If not entered, the specifications of the original instance are applied. |
| dbPort | Number | N | DB port |
| useHighAvailability | Boolean | N | Whether to use high availability - Default: false |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Minimum value: 1- Maximum value: 600 |
| storage | Object | N | Storage information object. If not entered, the storage settings of the original instance are applied. |
| storage.storageType | Enum | N | Storage type. If not entered, the storage type of the original instance is applied. |
| storage.storageSize | Number | N | Data storage size (GB). If not entered, the storage size of the original instance is applied. - Minimum value: 20 |
| storage.storageAutoscale | Object | N | Block Storage Auto Scaling Objects |
| storage.storageAutoscale.useStorageAutoscale | Boolean | N | Whether to enable storage auto scaling - Default: false |
| network | Object | N | Network information object. If not entered, the network settings of the original instance are applied. |
| network.subnetId | UUID | N | Subnet identifier. If not entered, the value of the original instance is used. |
| network.usePublicAccess | Boolean | N | External access is available or not - Default: false |
| network.availabilityZone | Enum | N | Availability zone where DB instance will be created. If not entered, it is selected at random. |
| backup | Object | N | Backup information object. If not entered, the backup settings of the original instance are applied. |
| backup.backupPeriod | Number | N | Backup retention period (days). If not entered, the backup retention period of the original instance is applied. - Minimum value: 0- Maximum value: 730 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock - Default: true |
| backup.backupSchedules | Array | N | Backup schedule list. If not entered, the backup schedule of the original instance is applied. |
| backup.backupSchedules.backupWndBgnTime | Time | N | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | N | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
| restore | Object | Y | Restoration information object |
| restore.restoreType | Enum | Y | Restoration type - TIMESTAMP: Point-in-time restoration using a time within the restorable period- BINLOG: Point-in-time restoration using a restorable binary log position- BACKUP: Snapshot restoration using a previously created backup |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| useSlowQueryAnalysis | Boolean | N | Whether to analyze slow queries - Default: true |
| parameterGroupId | UUID | N | Parameter group identifier. If not entered, the parameter group of the original instance is applied. |
| dbSecurityGroupIds | Array | N | DB security group identifiers. If not entered, the security groups of the original instance are applied. |
| userGroupIds | Array | N | User group identifiers |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceCandidateName | String | Y | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| Name | Format | Required | Description |
|---|---|---|---|
| storage.storageAutoscale.threshold | Number | Y | Auto scale out conditions (%) - Minimum value: 50- Maximum value: 95 |
| storage.storageAutoscale.maxStorageSize | Number | Y | Auto scaling maximum size (GB) - Maximum value: 4096 |
| storage.storageAutoscale.cooldownTime | Number | Y | Auto scaling cooldown time (minutes) - Minimum value: 10- Maximum value: 1440 |
TIMESTAMP)| Name | Format | Required | Description |
|---|---|---|---|
| restore.restoreYmdt | DateTime | N | DB instance restore date (YYYY-MM-DDThh:mm:ss.SSSTZD) |
You can only restore to a point in time earlier than the latest restorable time confirmed by querying the restoration information.
BINLOG)| Name | Format | Required | Description |
|---|---|---|---|
| restore.backupId | UUID | N | Identifier of the backup to use for restoration |
| restore.binLog | Object | N | Binary log information object to use for restoration |
| restore.binLog.binLogFileName | String | N | Binary log name to use for restoration |
| restore.binLog.binLogPosition | Number | N | Binary log location to use for restoration |
For point-in-time restoration using binary logs, you can restore the logs recorded after the binary log file and position of the reference backup.
BACKUP)| Name | Format | Required | Description |
|---|---|---|---|
| restore.backupId | UUID | N | Identifier of the backup to use for restoration |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Start | Start DB Instance |
POST /v4.0/db-instances/{dbInstanceId}/start
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Stop | Stop DB Instance |
POST /v4.0/db-instances/{dbInstanceId}/stop
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Get | View Storage Information |
GET /v4.0/db-instances/{dbInstanceId}/storage-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"storageType": "General SSD",
"storageSize": 1,
"storageStatus": "DELETED",
"storageAutoscale": {
"useStorageAutoscale": false,
"threshold": 1,
"maxStorageSize": 1,
"cooldownTime": 1
}
}
| Name | Format | Description |
|---|---|---|
| storageType | String | Data storage type |
| storageSize | Number | Block Storage Size (GB) |
| storageStatus | Enum | Data Storage Current Status - DELETED: Deleted- PENDING_DELETION: Deletion pending- DELETION_RESERVED: Deletion reserved (waiting for snapshot cleanup)- DETACHED: Detached- ATTACHED: Attached |
| storageAutoscale | Object | Block Storage Auto Scaling Objects |
| storageAutoscale.useStorageAutoscale | Boolean | Whether to enable storage auto scaling |
| storageAutoscale.threshold | Number | Auto scale out conditions (%) |
| storageAutoscale.maxStorageSize | Number | Auto scaling maximum size (GB) |
| storageAutoscale.cooldownTime | Number | Auto scaling cooldown time (minutes) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbInstance.Modify | Modify Storage Information |
PUT /v4.0/db-instances/{dbInstanceId}/storage-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"storageSize": 1,
"storageAutoscale": {
"useStorageAutoscale": false
}
}
| Name | Format | Required | Description |
|---|---|---|---|
| storageSize | Number | Y | Block Storage Size (GB) - Maximum value: 2048 |
| storageAutoscale | Object | N | Block Storage Auto Scaling Objects |
| storageAutoscale.useStorageAutoscale | Boolean | N | Whether to enable storage auto scaling |
| Name | Format | Required | Description |
|---|---|---|---|
| storageAutoscale.threshold | Number | Y | Auto scale out conditions (%) - Minimum value: 50- Maximum value: 95 |
| storageAutoscale.maxStorageSize | Number | Y | Auto scaling maximum size (GB) - Maximum value: 4096 |
| storageAutoscale.cooldownTime | Number | Y | Auto scaling cooldown time (minutes) - Minimum value: 10- Maximum value: 1440 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Status | Description |
|---|---|
BACKING_UP |
Backup in progress |
COMPLETED |
Backup is completed |
DELETING |
Backup is being deleted |
DELETED |
Backup is deleted |
ERROR |
Error occurred |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Backup.List | Retrieve Backup List |
GET /v4.0/backups
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupType | Query | Enum | N | Backup type - AUTO- MANUAL |
| dbInstanceId | Query | UUID | N | Original DB instance identifier |
| dbVersion | Query | Enum | N | DB engine version |
| page | Query | Number | N | Page of the list to query (default: 1) - Minimum value: 1 |
| size | Query | Number | N | Page size of the list to query (default: 20) - Minimum value: 1- Maximum value: 100 |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"totalCounts": 1,
"backups": [
{
"backupId": "550e8400-e29b-41d4-a716-446655440000",
"backupName": "backupName-example",
"backupStatus": "BACKING_UP",
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbVersion": "MARIADB_V11808",
"utilVersion": "utilVersion-example",
"backupType": "AUTO",
"backupSize": 1,
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| totalCounts | Number | Number of all backup lists |
| backups | Array | Backup list |
| backups.backupId | UUID | Backup identifier |
| backups.backupName | String | Name to identify backups |
| backups.backupStatus | Enum | Backup current status - BACKING_UP: Backup in progress- COMPLETED: Backup completed- DELETING: Backup being deleted- DELETED: Backup deleted- ERROR: Error occurred |
| backups.dbInstanceId | UUID | Original DB instance identifier |
| backups.dbVersion | Enum | DB engine version |
| backups.utilVersion | String | Utility version |
| backups.backupType | Enum | Backup type - AUTO- MANUAL |
| backups.backupSize | Number | Backup size (bytes) |
| backups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| backups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Backup.Create | Create backup |
POST /v4.0/backups
{
"backupName": "backupName",
"backupMethodType": "FULL"
}
| Name | Format | Required | Description |
|---|---|---|---|
| backupName | String | Y | Name to identify backups - Minimum length: 1- Maximum length: 100 |
| backupMethodType | Enum | Y | Backup method type - FULL: Full backup- INCREMENTAL: Incremental backup- SNAPSHOT: Snapshot backup |
INCREMENTAL| Name | Format | Required | Description |
|---|---|---|---|
| baseBackupId | UUID | Y | Identifier of the original backup |
FULL| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceId | UUID | Y | DB instance identifier |
SNAPSHOT)| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceId | UUID | Y | DB instance identifier |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Backup.Delete | Delete backup |
DELETE /v4.0/backups/{backupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | URL | UUID | Y | Backup identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Backup.Get | View Backup Details |
GET /v4.0/backups/{backupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | URL | UUID | Y | Backup identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"backup": {
"backupId": "550e8400-e29b-41d4-a716-446655440000",
"regionCode": "KR1",
"backupName": "backupName-example",
"backupStatus": "BACKING_UP",
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceName": "dbInstanceName-example",
"dbVersion": "MARIADB_V11808",
"utilVersion": "utilVersion-example",
"backupType": "AUTO",
"backupMethodType": "FULL",
"backupFileType": "XBSTREAM",
"backupSize": 1,
"isReplicable": false,
"binLogFileName": "binLogFileName-example",
"binLogPosition": 1,
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
}
| Name | Format | Description |
|---|---|---|
| backup | Object | Backup details |
| backup.backupId | UUID | Backup identifier |
| backup.regionCode | Enum | Region code - KR1: Korea (Pangyo) |
| backup.backupName | String | Name to identify backups |
| backup.backupStatus | Enum | Backup current status - BACKING_UP: Backing up (spinner)- VERIFYING: Verifying (spinner)- COMPLETED: Available (green icon)- DELETING: Deleting (spinner)- DELETED: Deleted (gray icon)- ERROR: Error (red icon) |
| backup.dbInstanceId | UUID | Original DB instance identifier |
| backup.dbInstanceName | String | Original DB instance name |
| backup.dbVersion | Enum | DB engine version |
| backup.utilVersion | String | Utility version |
| backup.backupType | Enum | Backup type (AUTO, MANUAL) - AUTO- MANUAL |
| backup.backupMethodType | Enum | Backup method (FULL, SNAPSHOT, INCREMENTAL) - FULL- INCREMENTAL- SNAPSHOT |
| backup.backupFileType | Enum | Backup file type - XBSTREAM- TAR_ZSTD- TAR_LZ4- TAR_GZIP- SNAPSHOT |
| backup.backupSize | Number | Backup size (bytes) |
| backup.isReplicable | Boolean | Replicable |
| backup.binLogFileName | String | Binary log file name |
| backup.binLogPosition | Number | Binary log location |
| backup.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| backup.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Backup.Export | Export backup |
POST /v4.0/backups/{backupId}/export
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | URL | UUID | Y | Backup identifier |
{
"tenantId": "0123456789abcdef0123456789abcdef",
"username": "example@nhncloud.com or example",
"password": "password-example",
"targetContainer": "targetContainer-example",
"objectPath": "objectPath-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| tenantId | String | Y | Tenant ID of the Object Storage where the backup will be saved - Minimum length: 32- Maximum length: 32 |
| username | String | Y | NHN Cloud member or IAM member ID |
| password | String | Y | API password of the Object Storage where the backup will be saved |
| targetContainer | String | Y | Container of the Object Storage where the backup will be saved |
| objectPath | String | Y | Backup path to be stored in container |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:Backup.Restore | Restore backup |
POST /v4.0/backups/{backupId}/restore
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | URL | UUID | Y | Backup identifier |
{
"dbInstanceName": "dbInstanceName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbPort": 13306,
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useHighAvailability": false,
"pingInterval": 3,
"useDefaultNotification": false,
"useDeletionProtection": false,
"useSlowQueryAnalysis": true,
"network": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"storage": {
"storageType": "General SSD",
"storageSize": 20,
"storageAutoscale": {
"useStorageAutoscale": false
}
},
"backup": {
"backupPeriod": 0,
"backupRetryCount": 0,
"ftwrlWaitTimeout": 0,
"replicationRegion": "KR1",
"useBackupLock": false,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | Y | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | N | Identifier of DB instance specifications. If not specified, the value of the original instance is used. |
| dbPort | Number | N | DB port. If not specified, the value of the original instance is used. - Minimum value: 3306, Maximum value: 43306 |
| parameterGroupId | UUID | N | Parameter group identifier. If not specified, the value of the original instance is used. |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useHighAvailability | Boolean | N | Whether to use high availability - Default: false |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Default: 3- Minimum value: 1- Maximum value: 600 |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
| useSlowQueryAnalysis | Boolean | N | Whether to analyze slow queries - Default: true |
| network | Object | N | Network information object. If not specified, the value of the original instance is used. |
| network.subnetId | UUID | N | Subnet identifier. If not specified, the value of the original instance is used. |
| network.usePublicAccess | Boolean | N | External access is available or not - Default: false |
| network.availabilityZone | Enum | N | Availability zone where DB instance will be created. If not specified, it is selected at random. |
| storage | Object | N | Storage information object. If not specified, the value of the original instance is used. |
| storage.storageType | Enum | N | Storage type. If not specified, the value of the original instance is used. |
| storage.storageSize | Number | N | Data storage size (GB). If not specified, the value of the original instance is used. - Minimum value: 20 |
| storage.storageAutoscale | Object | N | Data storage auto scaling object. If not specified, the value of the original instance is used. |
| storage.storageAutoscale.useStorageAutoscale | Boolean | N | Whether to enable storage auto scaling - Default: false |
| backup | Object | N | Backup information object. If not specified, the backup settings of the original instance are used. |
| backup.backupPeriod | Number | N | Backup retention period (days). If not specified, the value of the original instance is used. - Minimum value: 0- Maximum value: 730 |
| backup.backupRetryCount | Number | N | Number of backup retries. If not specified, the value of the original instance is used. - Minimum value: 0- Maximum value: 10 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec). If not specified, the value of the original instance is used. - Minimum value: 0- Maximum value: 21600 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock. If not specified, the value of the original instance is used. |
| backup.backupSchedules | Array | N | Backup schedule list. If not specified, the value of the original instance is used. |
| backup.backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceCandidateName | String | Y | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| Name | Format | Required | Description |
|---|---|---|---|
| storage.storageAutoscale.threshold | Number | Y | Auto scale out conditions (%) - Minimum value: 50- Maximum value: 95 |
| storage.storageAutoscale.maxStorageSize | Number | Y | Auto scaling maximum size (GB) - Maximum value: 4096 |
| storage.storageAutoscale.cooldownTime | Number | Y | Auto scaling cooldown time (minutes) - Minimum value: 10- Maximum value: 1440 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Identifier of requested task |
| Status | Description |
|---|---|
NONE |
No task in progress |
CREATING_RULE |
Creating rules |
UPDATING_RULE |
Modifying rules |
DELETING_RULE |
Deleting rules |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbSecurityGroup.List | List DB security groups |
GET /v4.0/db-security-groups
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| page | Query | Number | N | Page of the list to query (default: 1) - Minimum value: 1 |
| size | Query | Number | N | Page size of the list to query (default: 20) - Minimum value: 1- Maximum value: 100 |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"totalCounts": 1,
"dbSecurityGroups": [
{
"dbSecurityGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupName": "dbSecurityGroupName-example",
"description": "description-example",
"progressStatus": "NONE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| totalCounts | Number | Total number of DB security groups |
| dbSecurityGroups | Array | DB security groups |
| dbSecurityGroups.dbSecurityGroupId | UUID | DB security group identifier |
| dbSecurityGroups.dbSecurityGroupName | String | Name to identify DB security groups |
| dbSecurityGroups.description | String | Additional information of DB security group |
| dbSecurityGroups.progressStatus | Enum | Current status of DB security group - NONE: None- CREATING_RULE: Creating rule- UPDATING_RULE: Modifying rule- DELETING_RULE: Deleting rule- APPLYING_DEFAULT_RULE: Applying default rule |
| dbSecurityGroups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbSecurityGroups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Permission Name | Description |
|---|---|
| RDSforMariaDB:DbSecurityGroup.Create | Create DB security group |
POST /v4.0/db-security-groups
{
"dbSecurityGroupName": "dbSecurityGroupName",
"description": "description-example",
"rules": [
{
"direction": "INGRESS",
"etherType": "IPV4",
"port": {
"portType": "ALL",
"minPort": 3306,
"maxPort": 1
},
"cidr": "192.168.0.0/24",
"description": "description-example"
}
]
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbSecurityGroupName | String | Y | Name to identify DB security groups - Minimum length: 1- Maximum length: 100 |
[...]
